Api reference
POST Projects
POST
/v1/projectsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
id?string|null
folderPath*string
name?string|null
isArchived?boolean|null
symbolName?string|null
origin?|null
createdAt?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/projects" \ -H "Content-Type: application/json" \ -d '{ "folderPath": "string" }'{ "id": "string", "name": "string", "isArchived": true, "symbolName": "string", "origin": "codevisor", "createdAt": "string", "locations": [ { "id": "string", "projectId": "string", "serverId": "string", "folderPath": "string", "createdAt": "string", "isGitRepository": true } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}